classification
Title: Distutils - read the file when using it in long_description
Type: Stage: resolved
Components: Documentation Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: docs@python, eric.araujo, sandro.tosi
Priority: low Keywords: patch

Created on 2011-02-22 20:57 by sandro.tosi, last changed 2011-02-25 21:53 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
distutils-read-longdescr-file-py3k.patch sandro.tosi, 2011-02-22 20:57
Messages (2)
msg129127 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-02-22 20:57
Following up http://mail.python.org/pipermail/docs/2011-February/003087.html here's a patch to read the contents of the file for long_description.
msg129437 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-25 21:53
I had a better patch pending for that, thanks for the reminder.  Fixed in r88613 (py3k), r88614 (3.2), r88615 (3.1) and r88617 (2.7).  I took the time machine and fixed it six months ago in distutils2 in [c03dd6283e94].
History
Date User Action Args
2011-02-25 21:53:01eric.araujosetstatus: open -> closed

assignee: docs@python -> eric.araujo

nosy: + eric.araujo
messages: + msg129437
resolution: fixed
stage: patch review -> resolved
2011-02-23 18:44:36sandro.tosisetassignee: sandro.tosi -> docs@python

nosy: + docs@python
2011-02-22 20:57:41sandro.tosicreate